<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_32) on Fri Nov 16 08:58:55 CET 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=utf8">
<TITLE>
EOElementMaquette
</TITLE>

<META NAME="date" CONTENT="2012-11-16">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="EOElementMaquette";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/EOElementMaquette.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../org/cocktail/peche/entity/EOConstanteBudget.html" title="class in org.cocktail.peche.entity"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../org/cocktail/peche/entity/EOElementMaquetteTest.html" title="class in org.cocktail.peche.entity"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/cocktail/peche/entity/EOElementMaquette.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="EOElementMaquette.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_classes_inherited_from_class_er.extensions.eof.ERXGenericRecord">NESTED</A>&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_org.cocktail.peche.entity._EOElementMaquette">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.cocktail.peche.entity</FONT>
<BR>
Class EOElementMaquette</H2>
<PRE>
java.lang.Object
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by ">com.webobjects.eocontrol.EOCustomObject
      <IMG SRC="../../../../resources/inherit.gif" ALT="extended by ">com.webobjects.eocontrol.EOGenericRecord
          <IMG SRC="../../../../resources/inherit.gif" ALT="extended by ">er.extensions.eof.ERXGenericRecord
              <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html" title="class in org.cocktail.peche.entity">org.cocktail.peche.entity._EOElementMaquette</A>
                  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>org.cocktail.peche.entity.EOElementMaquette</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD>com.webobjects.eocontrol._EOPrivateMemento, com.webobjects.eocontrol.EODeferredFaulting, com.webobjects.eocontrol.EOEnterpriseObject, com.webobjects.eocontrol.EOFaulting, com.webobjects.eocontrol.EOKeyValueCoding, com.webobjects.eocontrol.EOKeyValueCoding._BestBindingCreation._ForwardingBindingCheck, com.webobjects.eocontrol.EOKeyValueCoding._KeyBindingCreation, com.webobjects.eocontrol.EOKeyValueCodingAdditions, com.webobjects.eocontrol.EORelationshipManipulation, com.webobjects.eocontrol.EOValidation, com.webobjects.foundation.NSKeyValueCoding, com.webobjects.foundation.NSKeyValueCoding._KeyBindingCreation, com.webobjects.foundation.NSKeyValueCoding._ReflectionKeyBindingCreation.Callback, com.webobjects.foundation.NSKeyValueCoding.ErrorHandling, com.webobjects.foundation.NSKeyValueCodingAdditions, com.webobjects.foundation.NSValidation, er.extensions.eof.ERXDatabaseContextDelegate.AutoBatchFaultingEnterpriseObject, er.extensions.eof.ERXEnterpriseObject, er.extensions.eof.ERXGeneratesPrimaryKeyInterface, er.extensions.eof.ERXGuardedObjectInterface, er.extensions.eof.ERXKey.ValueCoding, er.extensions.eof.ERXNonNullObjectInterface, java.io.Serializable</DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <B>EOElementMaquette</B><DT>extends <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html" title="class in org.cocktail.peche.entity">_EOElementMaquette</A></DL>
</PRE>

<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../serialized-form.html#org.cocktail.peche.entity.EOElementMaquette">Serialized Form</A></DL>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->

<A NAME="nested_class_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Nested Class Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="nested_classes_inherited_from_class_er.extensions.eof.ERXGenericRecord"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from class er.extensions.eof.ERXGenericRecord</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>er.extensions.eof.ERXGenericRecord.ERXGenericRecordClazz&lt;T extends com.webobjects.eocontrol.EOEnterpriseObject&gt;, er.extensions.eof.ERXGenericRecord.InverseRelationshipUpdater, er.extensions.eof.ERXGenericRecord.LocalizedBinding, er.extensions.eof.ERXGenericRecord.TouchingBinding</CODE></TD>
</TR>
</TABLE>
&nbsp;
<A NAME="nested_classes_inherited_from_class_com.webobjects.eocontrol.EOGenericRecord"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from class com.webobjects.eocontrol.EOGenericRecord</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>com.webobjects.eocontrol.EOGenericRecord._DictionaryBinding, com.webobjects.eocontrol.EOGenericRecord._LazyDictionaryBinding</CODE></TD>
</TR>
</TABLE>
&nbsp;
<A NAME="nested_classes_inherited_from_class_com.webobjects.eocontrol.EOCustomObject"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from class com.webobjects.eocontrol.EOCustomObject</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>com.webobjects.eocontrol.EOCustomObject._BooleanFieldBinding, com.webobjects.eocontrol.EOCustomObject._FieldBinding, com.webobjects.eocontrol.EOCustomObject._LazyFieldBinding, com.webobjects.eocontrol.EOCustomObject._NumberFieldBinding</CODE></TD>
</TR>
</TABLE>
&nbsp;
<A NAME="nested_classes_inherited_from_class_er.extensions.eof.ERXEnterpriseObject"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from interface er.extensions.eof.ERXEnterpriseObject</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>er.extensions.eof.ERXEnterpriseObject.Observer, er.extensions.eof.ERXEnterpriseObject.Processor</CODE></TD>
</TR>
</TABLE>
&nbsp;
<A NAME="nested_classes_inherited_from_class_com.webobjects.eocontrol.EOKeyValueCodingAdditions"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from interface com.webobjects.eocontrol.EOKeyValueCodingAdditions</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>com.webobjects.eocontrol.EOKeyValueCodingAdditions.DefaultImplementation, com.webobjects.eocontrol.EOKeyValueCodingAdditions.Utility</CODE></TD>
</TR>
</TABLE>
&nbsp;
<A NAME="nested_classes_inherited_from_class_com.webobjects.eocontrol.EOKeyValueCoding"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from interface com.webobjects.eocontrol.EOKeyValueCoding</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>com.webobjects.eocontrol.EOKeyValueCoding._BestBindingCreation, com.webobjects.eocontrol.EOKeyValueCoding._KeyBindingCreation, com.webobjects.eocontrol.EOKeyValueCoding._StoredForwardingBinding</CODE></TD>
</TR>
</TABLE>
&nbsp;
<A NAME="nested_classes_inherited_from_class_com.webobjects.foundation.NSKeyValueCoding"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from interface com.webobjects.foundation.NSKeyValueCoding</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>com.webobjects.foundation.NSKeyValueCoding._BooleanFieldBinding, com.webobjects.foundation.NSKeyValueCoding._BooleanMethodBinding, com.webobjects.foundation.NSKeyValueCoding._FieldBinding, com.webobjects.foundation.NSKeyValueCoding._ForwardingBinding, com.webobjects.foundation.NSKeyValueCoding._KeyBinding, com.webobjects.foundation.NSKeyValueCoding._NumberFieldBinding, com.webobjects.foundation.NSKeyValueCoding._NumberMethodBinding, com.webobjects.foundation.NSKeyValueCoding._ReflectionKeyBindingCreation, com.webobjects.foundation.NSKeyValueCoding.ErrorHandling, com.webobjects.foundation.NSKeyValueCoding.MapImplementation, com.webobjects.foundation.NSKeyValueCoding.Null&lt;T&gt;, com.webobjects.foundation.NSKeyValueCoding.UnknownKeyException, com.webobjects.foundation.NSKeyValueCoding.ValueAccessor</CODE></TD>
</TR>
</TABLE>
&nbsp;
<A NAME="nested_classes_inherited_from_class_com.webobjects.foundation.NSValidation"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from interface com.webobjects.foundation.NSValidation</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>com.webobjects.foundation.NSValidation._MethodBinding, com.webobjects.foundation.NSValidation._ValidationBinding, com.webobjects.foundation.NSValidation.ValidationException</CODE></TD>
</TR>
</TABLE>
&nbsp;
<A NAME="nested_classes_inherited_from_class_com.webobjects.eocontrol._EOPrivateMemento"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from interface com.webobjects.eocontrol._EOPrivateMemento</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>com.webobjects.eocontrol._EOPrivateMemento.DefaultImplementation</CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.cocktail.peche.entity._EOElementMaquette"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class org.cocktail.peche.entity.<A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html" title="class in org.cocktail.peche.entity">_EOElementMaquette</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#ANNEE">ANNEE</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#ANNEE_KEY">ANNEE_KEY</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#CODE">CODE</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#CODE_KEY">CODE_KEY</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#CONSTANTE_BUDGET">CONSTANTE_BUDGET</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#CONSTANTE_BUDGET_KEY">CONSTANTE_BUDGET_KEY</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#DATE_CREATION">DATE_CREATION</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#DATE_CREATION_KEY">DATE_CREATION_KEY</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#DATE_MODIFICATION">DATE_MODIFICATION</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#DATE_MODIFICATION_KEY">DATE_MODIFICATION_KEY</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#ELEMENT_MAQUETTE_PARENT">ELEMENT_MAQUETTE_PARENT</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#ELEMENT_MAQUETTE_PARENT_KEY">ELEMENT_MAQUETTE_PARENT_KEY</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#ENTITY_NAME">ENTITY_NAME</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#ID_PERSONNE_CREATION">ID_PERSONNE_CREATION</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#ID_PERSONNE_CREATION_KEY">ID_PERSONNE_CREATION_KEY</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#ID_PERSONNE_MODIFICATION">ID_PERSONNE_MODIFICATION</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#ID_PERSONNE_MODIFICATION_KEY">ID_PERSONNE_MODIFICATION_KEY</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#LIBELLE_COURT">LIBELLE_COURT</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#LIBELLE_COURT_KEY">LIBELLE_COURT_KEY</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#LIBELLE_LONG">LIBELLE_LONG</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#LIBELLE_LONG_KEY">LIBELLE_LONG_KEY</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#LISTE_ELEMENT_MAQUETTE">LISTE_ELEMENT_MAQUETTE</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#LISTE_ELEMENT_MAQUETTE_KEY">LISTE_ELEMENT_MAQUETTE_KEY</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#LISTE_SERVICES">LISTE_SERVICES</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#LISTE_SERVICES_KEY">LISTE_SERVICES_KEY</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#NB_HEURES_MAQUETTE">NB_HEURES_MAQUETTE</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#NB_HEURES_MAQUETTE_KEY">NB_HEURES_MAQUETTE_KEY</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#NB_HEURES_TOTAL">NB_HEURES_TOTAL</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#NB_HEURES_TOTAL_KEY">NB_HEURES_TOTAL_KEY</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#PERSONNE_CREATION">PERSONNE_CREATION</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#PERSONNE_CREATION_KEY">PERSONNE_CREATION_KEY</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#PERSONNE_MODIFICATION">PERSONNE_MODIFICATION</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#PERSONNE_MODIFICATION_KEY">PERSONNE_MODIFICATION_KEY</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#SEMESTRE">SEMESTRE</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#SEMESTRE_KEY">SEMESTRE_KEY</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#TEMOIN_VALIDE">TEMOIN_VALIDE</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#TEMOIN_VALIDE_KEY">TEMOIN_VALIDE_KEY</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#TYPE_ELEMENT">TYPE_ELEMENT</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#TYPE_ELEMENT_KEY">TYPE_ELEMENT_KEY</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#TYPE_HORAIRE">TYPE_HORAIRE</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#TYPE_HORAIRE_KEY">TYPE_HORAIRE_KEY</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_er.extensions.eof.ERXGenericRecord"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class er.extensions.eof.ERXGenericRecord</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>_touchSource</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_com.webobjects.eocontrol.EOGenericRecord"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class com.webobjects.eocontrol.EOGenericRecord</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>_CLASS</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_er.extensions.eof.ERXEnterpriseObject"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from interface er.extensions.eof.ERXEnterpriseObject</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>applyRestrictingQualifierOnInsert, DidDeleteProcessor, DidInsertProcessor, DidRevertProcessor, DidUpdateProcessor, FlushCachesProcessor, insertionTrackingLog, KEY_MARKER, logMod, tranLogDidDelete, tranLogDidInsert, tranLogDidRevert, tranLogDidUpdate, tranLogMightDelete, tranLogWillDelete, tranLogWillInsert, tranLogWillRevert, tranLogWillUpdate, validation, validationException, WillDeleteProcessor, WillInsertProcessor, WillRevertProcessor, WillUpdateProcessor</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_com.webobjects.eocontrol.EOEnterpriseObject"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from interface com.webobjects.eocontrol.EOEnterpriseObject</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>_CLASS</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_com.webobjects.foundation.NSKeyValueCodingAdditions"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from interface com.webobjects.foundation.NSKeyValueCodingAdditions</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>_KeyPathSeparatorChar, KeyPathSeparator</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_com.webobjects.foundation.NSKeyValueCoding"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from interface com.webobjects.foundation.NSKeyValueCoding</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>NullValue</CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/EOElementMaquette.html#EOElementMaquette()">EOElementMaquette</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../org/cocktail/peche/entity/EOElementMaquette.html" title="class in org.cocktail.peche.entity">EOElementMaquette</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/EOElementMaquette.html#creerEtInitialiser(com.webobjects.eocontrol.EOEditingContext)">creerEtInitialiser</A></B>(com.webobjects.eocontrol.EOEditingContext&nbsp;edc)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.cocktail.peche.entity._EOElementMaquette"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.cocktail.peche.entity.<A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html" title="class in org.cocktail.peche.entity">_EOElementMaquette</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#addToListeElementMaquette(org.cocktail.peche.entity.EOElementMaquette)">addToListeElementMaquette</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#addToListeElementMaquetteRelationship(org.cocktail.peche.entity.EOElementMaquette)">addToListeElementMaquetteRelationship</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#addToListeServices(org.cocktail.peche.entity.EOService)">addToListeServices</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#addToListeServicesRelationship(org.cocktail.peche.entity.EOService)">addToListeServicesRelationship</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#annee()">annee</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#code()">code</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#constanteBudget()">constanteBudget</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#createEOElementMaquette(com.webobjects.eocontrol.EOEditingContext, java.lang.Integer, java.lang.String, com.webobjects.foundation.NSTimestamp, com.webobjects.foundation.NSTimestamp, java.lang.Integer, java.lang.Double, java.lang.String, org.cocktail.peche.entity.EOConstanteBudget, org.cocktail.fwkcktldroitsutils.common.metier.EOPersonne)">createEOElementMaquette</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#createListeElementMaquetteRelationship()">createListeElementMaquetteRelationship</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#createListeServicesRelationship()">createListeServicesRelationship</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#dateCreation()">dateCreation</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#dateModification()">dateModification</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#deleteAllListeElementMaquetteRelationships()">deleteAllListeElementMaquetteRelationships</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#deleteAllListeServicesRelationships()">deleteAllListeServicesRelationships</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#deleteListeElementMaquetteRelationship(org.cocktail.peche.entity.EOElementMaquette)">deleteListeElementMaquetteRelationship</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#deleteListeServicesRelationship(org.cocktail.peche.entity.EOService)">deleteListeServicesRelationship</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#elementMaquetteParent()">elementMaquetteParent</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#fetchAllEOElementMaquettes(com.webobjects.eocontrol.EOEditingContext)">fetchAllEOElementMaquettes</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#fetchAllEOElementMaquettes(com.webobjects.eocontrol.EOEditingContext, com.webobjects.foundation.NSArray)">fetchAllEOElementMaquettes</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#fetchEOElementMaquette(com.webobjects.eocontrol.EOEditingContext, com.webobjects.eocontrol.EOQualifier)">fetchEOElementMaquette</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#fetchEOElementMaquette(com.webobjects.eocontrol.EOEditingContext, java.lang.String, java.lang.Object)">fetchEOElementMaquette</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#fetchEOElementMaquettes(com.webobjects.eocontrol.EOEditingContext, com.webobjects.eocontrol.EOQualifier, com.webobjects.foundation.NSArray)">fetchEOElementMaquettes</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#fetchRequiredEOElementMaquette(com.webobjects.eocontrol.EOEditingContext, com.webobjects.eocontrol.EOQualifier)">fetchRequiredEOElementMaquette</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#fetchRequiredEOElementMaquette(com.webobjects.eocontrol.EOEditingContext, java.lang.String, java.lang.Object)">fetchRequiredEOElementMaquette</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#fetchSpec()">fetchSpec</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#idPersonneCreation()">idPersonneCreation</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#idPersonneModification()">idPersonneModification</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#libelleCourt()">libelleCourt</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#libelleLong()">libelleLong</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#listeElementMaquette()">listeElementMaquette</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#listeElementMaquette(com.webobjects.eocontrol.EOQualifier)">listeElementMaquette</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#listeElementMaquette(com.webobjects.eocontrol.EOQualifier, boolean)">listeElementMaquette</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#listeElementMaquette(com.webobjects.eocontrol.EOQualifier, com.webobjects.foundation.NSArray, boolean)">listeElementMaquette</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#listeServices()">listeServices</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#listeServices(com.webobjects.eocontrol.EOQualifier)">listeServices</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#listeServices(com.webobjects.eocontrol.EOQualifier, boolean)">listeServices</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#listeServices(com.webobjects.eocontrol.EOQualifier, com.webobjects.foundation.NSArray, boolean)">listeServices</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#localInstanceIn(com.webobjects.eocontrol.EOEditingContext)">localInstanceIn</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#localInstanceIn(com.webobjects.eocontrol.EOEditingContext, org.cocktail.peche.entity.EOElementMaquette)">localInstanceIn</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#nbHeuresMaquette()">nbHeuresMaquette</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#nbHeuresTotal()">nbHeuresTotal</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#personneCreation()">personneCreation</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#personneModification()">personneModification</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#removeFromListeElementMaquette(org.cocktail.peche.entity.EOElementMaquette)">removeFromListeElementMaquette</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#removeFromListeElementMaquetteRelationship(org.cocktail.peche.entity.EOElementMaquette)">removeFromListeElementMaquetteRelationship</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#removeFromListeServices(org.cocktail.peche.entity.EOService)">removeFromListeServices</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#removeFromListeServicesRelationship(org.cocktail.peche.entity.EOService)">removeFromListeServicesRelationship</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#semestre()">semestre</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#setAnnee(java.lang.Integer)">setAnnee</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#setCode(java.lang.String)">setCode</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#setConstanteBudget(org.cocktail.peche.entity.EOConstanteBudget)">setConstanteBudget</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#setConstanteBudgetRelationship(org.cocktail.peche.entity.EOConstanteBudget)">setConstanteBudgetRelationship</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#setDateCreation(com.webobjects.foundation.NSTimestamp)">setDateCreation</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#setDateModification(com.webobjects.foundation.NSTimestamp)">setDateModification</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#setElementMaquetteParent(org.cocktail.peche.entity.EOElementMaquette)">setElementMaquetteParent</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#setElementMaquetteParentRelationship(org.cocktail.peche.entity.EOElementMaquette)">setElementMaquetteParentRelationship</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#setIdPersonneCreation(java.lang.Integer)">setIdPersonneCreation</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#setIdPersonneModification(java.lang.Integer)">setIdPersonneModification</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#setLibelleCourt(java.lang.String)">setLibelleCourt</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#setLibelleLong(java.lang.String)">setLibelleLong</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#setNbHeuresMaquette(java.lang.Double)">setNbHeuresMaquette</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#setNbHeuresTotal(java.lang.Double)">setNbHeuresTotal</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#setPersonneCreation(org.cocktail.fwkcktldroitsutils.common.metier.EOPersonne)">setPersonneCreation</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#setPersonneCreationRelationship(org.cocktail.fwkcktldroitsutils.common.metier.EOPersonne)">setPersonneCreationRelationship</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#setPersonneModification(org.cocktail.fwkcktldroitsutils.common.metier.EOPersonne)">setPersonneModification</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#setPersonneModificationRelationship(org.cocktail.fwkcktldroitsutils.common.metier.EOPersonne)">setPersonneModificationRelationship</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#setSemestre(java.lang.Integer)">setSemestre</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#setTemoinValide(java.lang.String)">setTemoinValide</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#setTypeElement(java.lang.String)">setTypeElement</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#setTypeHoraire(java.lang.String)">setTypeHoraire</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#temoinValide()">temoinValide</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#typeElement()">typeElement</A>, <A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html#typeHoraire()">typeHoraire</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_er.extensions.eof.ERXGenericRecord"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class er.extensions.eof.ERXGenericRecord</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>_otherStorageBinding, _setPrimaryKeyDictionary, _setUpdateInverseRelationships, _setValueForPrimaryKey, addObjectsToBothSidesOfRelationshipWithKey, addObjectToBothSidesOfRelationshipWithKey, awakeFromClientUpdate, awakeFromFetch, awakeFromInsertion, batchCheckConsistency, batchFaultingRelationshipName, batchFaultingSourceGlobalID, batchFaultingTimeStamp, canDelete, canUpdate, changesFromCommittedSnapshot, checkConsistency, checkMatchingEditingContexts, clearProperties, committedSnapshot, committedSnapshotValueForKey, delete, description, didCopyFromChildInEditingContext, didDelete, didInsert, didRevert, didUpdate, encryptedPrimaryKey, entity, excludeObjectFromPropertyWithKey, flushCaches, foreignKeyForRelationshipWithKey, getClassLog, hasKeyChangedFromCommittedSnapshot, hasKeyChangedFromCommittedSnapshotFromValue, hasKeyChangedFromCommittedSnapshotFromValueToNewValue, hasKeyChangedFromCommittedSnapshotToValue, includeObjectIntoPropertyWithKey, isDeletedEO, isNewEO, isNewObject, isNonNull, isUpdatedObject, isValidatedWhenNested, localesForKey, localInstanceOf, localInstancesOf, localizationShouldFallbackToDefaultLanguage, mightDelete, parentObjectStoreIsObjectStoreCoordinator, permanentGlobalID, permanentGlobalID, primaryKey, primaryKeyAttributeNames, primaryKeyDictionary, primaryKeyInTransaction, rawPrimaryKey, rawPrimaryKeyInTransaction, refetchObjectFromDB, refetchObjectFromDBinEditingContext, removeObjectsFromBothSidesOfRelationshipWithKey, removeObjectsFromPropertyWithKey, self, setBatchFaultingTimestamp, setValidatedWhenNested, shouldTrimSpaces, takeStoredValueForKey, takeValueForKey, takeValueForKey, toLongString, toString, touchFromBatchFaultingSource, trimSpaces, updateFromSnapshot, validateForInsert, validateForSave, validateForUpdate, validateValueForKey, valueForKey, willDelete, willInsert, willReadRelationship, willRevert, willUpdate</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_com.webobjects.eocontrol.EOGenericRecord"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class com.webobjects.eocontrol.EOGenericRecord</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>__setClassDescription, _keyGetBindingForKey, _keySetBindingForKey, _storedKeyGetBindingForKey, _storedKeySetBindingForKey, classDescription, usesDeferredFaultCreation</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_com.webobjects.eocontrol.EOCustomObject"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class com.webobjects.eocontrol.EOCustomObject</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>__classDescription, __clearPendingChanges, __editingContext, __globalID, __hasAuxillaryObservers, __hasPendingChanges, __hasPendingUpdate, __isInitialized, __isPendingDeletion, __isPendingInsertion, __isShared, __lastSnapshot, __originalSnapshot, __retainCount, __setAuxillaryObservers, __setEditingContext, __setGlobalID, __setInitialized, __setLastSnapshot, __setOriginalSnapshot, __setPendingDeletion, __setPendingInsertion, __setPendingUpdate, __setRetainCount, __setShared, _createKeyGetBindingForKey, _createKeySetBindingForKey, _createStoredKeyGetBindingForKey, _createStoredKeySetBindingForKey, _fieldKeyBinding, _forwardingBindingNeededForClass, _methodKeyGetBinding, _methodKeySetBinding, addObjectToPropertyWithKey, allPropertyKeys, attributeKeys, canAccessFieldsDirectly, changesFromSnapshot, classDescriptionForDestinationKey, clearFault, deleteRuleForRelationshipKey, editingContext, entityName, eoDescription, eoShallowDescription, equals, faultHandler, handleQueryWithUnboundKey, handleTakeValueForUnboundKey, hashCode, inverseForRelationshipKey, invokeRemoteMethod, isFault, isReadOnly, isToManyKey, opaqueState, ownsDestinationObjectsForRelationshipKey, prepareValuesForClient, propagateDeleteWithEditingContext, reapplyChangesFromDictionary, removeObjectFromBothSidesOfRelationshipWithKey, removeObjectFromPropertyWithKey, shouldUseStoredAccessors, snapshot, storedValueForKey, takeValueForKeyPath, takeValuesFromDictionary, takeValuesFromDictionaryWithMapping, toManyRelationshipKeys, toOneRelationshipKeys, turnIntoFault, unableToSetNullForKey, userPresentableDescription, validateClientUpdate, validateForDelete, validateTakeValueForKeyPath, valueForKey, valueForKeyPath, valuesForKeys, valuesForKeysWithMapping, willChange, willRead</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Object</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>getClass, notify, notifyAll, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_com.webobjects.eocontrol.EOEnterpriseObject"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface com.webobjects.eocontrol.EOEnterpriseObject</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>allPropertyKeys, attributeKeys, changesFromSnapshot, classDescription, classDescriptionForDestinationKey, deleteRuleForRelationshipKey, editingContext, entityName, eoDescription, eoShallowDescription, inverseForRelationshipKey, invokeRemoteMethod, isReadOnly, isToManyKey, opaqueState, ownsDestinationObjectsForRelationshipKey, prepareValuesForClient, propagateDeleteWithEditingContext, reapplyChangesFromDictionary, snapshot, toManyRelationshipKeys, toOneRelationshipKeys, userPresentableDescription, willChange</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_com.webobjects.eocontrol.EOKeyValueCodingAdditions"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface com.webobjects.eocontrol.EOKeyValueCodingAdditions</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>takeValuesFromDictionary, takeValuesFromDictionaryWithMapping, valuesForKeys, valuesForKeysWithMapping</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_com.webobjects.foundation.NSKeyValueCodingAdditions"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface com.webobjects.foundation.NSKeyValueCodingAdditions</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>takeValueForKeyPath, valueForKeyPath</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_com.webobjects.eocontrol.EOKeyValueCoding"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface com.webobjects.eocontrol.EOKeyValueCoding</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>storedValueForKey</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_com.webobjects.foundation.NSKeyValueCoding"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface com.webobjects.foundation.NSKeyValueCoding</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>valueForKey</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_com.webobjects.foundation.NSKeyValueCoding.ErrorHandling"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface com.webobjects.foundation.NSKeyValueCoding.ErrorHandling</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>handleQueryWithUnboundKey, handleTakeValueForUnboundKey, unableToSetNullForKey</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_com.webobjects.eocontrol.EORelationshipManipulation"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface com.webobjects.eocontrol.EORelationshipManipulation</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>addObjectToPropertyWithKey, removeObjectFromBothSidesOfRelationshipWithKey, removeObjectFromPropertyWithKey</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_com.webobjects.eocontrol.EOValidation"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface com.webobjects.eocontrol.EOValidation</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>validateClientUpdate, validateForDelete</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_com.webobjects.foundation.NSValidation"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface com.webobjects.foundation.NSValidation</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>validateTakeValueForKeyPath</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_com.webobjects.eocontrol.EOFaulting"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface com.webobjects.eocontrol.EOFaulting</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>clearFault, faultHandler, isFault, turnIntoFault, willRead</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="EOElementMaquette()"><!-- --></A><H3>
EOElementMaquette</H3>
<PRE>
public <B>EOElementMaquette</B>()</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="creerEtInitialiser(com.webobjects.eocontrol.EOEditingContext)"><!-- --></A><H3>
creerEtInitialiser</H3>
<PRE>
public static <A HREF="../../../../org/cocktail/peche/entity/EOElementMaquette.html" title="class in org.cocktail.peche.entity">EOElementMaquette</A> <B>creerEtInitialiser</B>(com.webobjects.eocontrol.EOEditingContext&nbsp;edc)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/EOElementMaquette.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../org/cocktail/peche/entity/EOConstanteBudget.html" title="class in org.cocktail.peche.entity"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../org/cocktail/peche/entity/EOElementMaquetteTest.html" title="class in org.cocktail.peche.entity"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/cocktail/peche/entity/EOElementMaquette.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="EOElementMaquette.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_classes_inherited_from_class_er.extensions.eof.ERXGenericRecord">NESTED</A>&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_org.cocktail.peche.entity._EOElementMaquette">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
